Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Remote Application Platform (RAP) » Compiler error: The import org.eclipse.ui.views.properties cannot be resolved
icon5.gif  Compiler error: The import org.eclipse.ui.views.properties cannot be resolved [message #544069] Thu, 01 July 2010 14:03 Go to next message
KwanKin Yau is currently offline KwanKin YauFriend
Messages: 32
Registered: July 2009
Member
Hi, all!

I have an common bundle, but I got an error the when I use RAP, then compiler error message is:

"The import org.eclipse.ui.views.properties cannot be resolved."

But my bundle was declared required-package for org.eclipse.ui.views.properties.

The content of MANIFEST.MF as follow:
=======================================

Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: Eclipse UI
Bundle-SymbolicName: net.yau.eclipse.ui;singleton:=true
Bundle-Version: 1.0.0.qualifier
Bundle-Activator: net.yau.eclipse.ui.EclipseUIPlugin
Bundle-Vendor: Yau KwanJane
Require-Bundle: net.yau.lib;bundle-version="1.0.0",
net.yau.thirdparty.Jakarta.commons;bundle-version="1.0.0",
net.yau.eclipse.common;bundle-version="1.0.0",
org.eclipse.osgi;bundle-version="3.5.1"
Bundle-RequiredExecutionEnvironment: JavaSE-1.6
Bundle-ActivationPolicy: lazy
Export-Package: net.yau.eclipse.ui,
net.yau.eclipse.ui.dialogs,
net.yau.eclipse.ui.dialogs.errPanel,
net.yau.eclipse.ui.dialogs.test,
net.yau.eclipse.ui.editingSupport,
net.yau.eclipse.ui.fieldassist,
net.yau.eclipse.ui.gui,
net.yau.eclipse.ui.gui.directoryPanel,
net.yau.eclipse.ui.net,
net.yau.eclipse.ui.net.customDNSService,
net.yau.eclipse.ui.net.dnsprefs,
net.yau.eclipse.ui.net.ui,
net.yau.eclipse.ui.props,
net.yau.eclipse.ui.validators,
net.yau.eclipse.ui.validators.ui
Bundle-Localization: plugin
Import-Package: org.eclipse.core.commands,
org.eclipse.core.databinding.validation,
org.eclipse.core.runtime;version="3.4.0",
org.eclipse.core.runtime.jobs,
org.eclipse.jface.dialogs,
org.eclipse.jface.fieldassist,
org.eclipse.jface.preference,
org.eclipse.jface.resource,
org.eclipse.jface.viewers,
org.eclipse.jface.window,
org.eclipse.swt,
org.eclipse.swt.custom,
org.eclipse.swt.events,
org.eclipse.swt.graphics,
org.eclipse.swt.layout,
org.eclipse.swt.widgets,
org.eclipse.ui;ui.workbench=split,
org.eclipse.ui.application,
org.eclipse.ui.dialogs,
org.eclipse.ui.forms,
org.eclipse.ui.forms.widgets,
org.eclipse.ui.plugin,
org.eclipse.ui.progress,
org.eclipse.ui.views,
org.eclipse.ui.views.properties,
org.osgi.framework;version="1.5.0"

Who can I resolve this problem? Hope your help, Thanks.
Re: Compiler error: The import org.eclipse.ui.views.properties cannot be resolved [message #544072 is a reply to message #544069] Thu, 01 July 2010 14:04 Go to previous messageGo to next message
Benjamin Muskalla is currently offline Benjamin MuskallaFriend
Messages: 338
Registered: July 2009
Senior Member
As stated on the dev-list:

This sounds like an issue with split packages.
See http://wiki.eclipse.org/RAP/FAQ#Problems_using_Import-Packag e_header
The split id of the package is "ui.views".

Regards,
Ben

Yau wrote:
> Hi, all!
>
> I have an common bundle, but I got an error the when I use RAP, then
> compiler error message is:
>
> "The import org.eclipse.ui.views.properties cannot be resolved."
>
> But my bundle was declared required-package for
> org.eclipse.ui.views.properties.
>
> The content of MANIFEST.MF as follow:
> =======================================
>
> Manifest-Version: 1.0
> Bundle-ManifestVersion: 2
> Bundle-Name: Eclipse UI
> Bundle-SymbolicName: net.yau.eclipse.ui;singleton:=true
> Bundle-Version: 1.0.0.qualifier
> Bundle-Activator: net.yau.eclipse.ui.EclipseUIPlugin
> Bundle-Vendor: Yau KwanJane
> Require-Bundle: net.yau.lib;bundle-version="1.0.0",
> net.yau.thirdparty.Jakarta.commons;bundle-version="1.0.0",
> net.yau.eclipse.common;bundle-version="1.0.0",
> org.eclipse.osgi;bundle-version="3.5.1"
> Bundle-RequiredExecutionEnvironment: JavaSE-1.6
> Bundle-ActivationPolicy: lazy
> Export-Package: net.yau.eclipse.ui,
> net.yau.eclipse.ui.dialogs,
> net.yau.eclipse.ui.dialogs.errPanel,
> net.yau.eclipse.ui.dialogs.test,
> net.yau.eclipse.ui.editingSupport,
> net.yau.eclipse.ui.fieldassist,
> net.yau.eclipse.ui.gui,
> net.yau.eclipse.ui.gui.directoryPanel,
> net.yau.eclipse.ui.net,
> net.yau.eclipse.ui.net.customDNSService,
> net.yau.eclipse.ui.net.dnsprefs,
> net.yau.eclipse.ui.net.ui,
> net.yau.eclipse.ui.props,
> net.yau.eclipse.ui.validators,
> net.yau.eclipse.ui.validators.ui
> Bundle-Localization: plugin
> Import-Package: org.eclipse.core.commands,
> org.eclipse.core.databinding.validation,
> org.eclipse.core.runtime;version="3.4.0",
> org.eclipse.core.runtime.jobs,
> org.eclipse.jface.dialogs,
> org.eclipse.jface.fieldassist,
> org.eclipse.jface.preference,
> org.eclipse.jface.resource,
> org.eclipse.jface.viewers,
> org.eclipse.jface.window,
> org.eclipse.swt,
> org.eclipse.swt.custom,
> org.eclipse.swt.events,
> org.eclipse.swt.graphics,
> org.eclipse.swt.layout,
> org.eclipse.swt.widgets,
> org.eclipse.ui;ui.workbench=split,
> org.eclipse.ui.application,
> org.eclipse.ui.dialogs,
> org.eclipse.ui.forms,
> org.eclipse.ui.forms.widgets,
> org.eclipse.ui.plugin,
> org.eclipse.ui.progress,
> org.eclipse.ui.views,
> org.eclipse.ui.views.properties,
> org.osgi.framework;version="1.5.0"
>
> Who can I resolve this problem? Hope your help, Thanks.


--
Benjamin Muskalla | EclipseSource Karlsruhe
http://www.eclipsesource.com | http://twitter.com/eclipsesource
Re: Compiler error: The import org.eclipse.ui.views.properties cannot be resolved [message #544079 is a reply to message #544072] Thu, 01 July 2010 14:31 Go to previous message
KwanKin Yau is currently offline KwanKin YauFriend
Messages: 32
Registered: July 2009
Member
Thanks for your reply.

When I update the line:

org.eclipse.ui.views.properties,
to
org.eclipse.ui.views.properties;ui.views="split",

the compilation passed.

Thank your very much!
Previous Topic:When does RWT implement the function of wrapping AWT?
Next Topic:ViewPart OnClose Event
Goto Forum:
  


Current Time: Sun Nov 28 15:48:41 GMT 2021

Powered by FUDForum. Page generated in 0.02021 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top